Subject: Re: linux-next: Tree for Jun 21

From: Peter Zijlstra <[email-masked]>
Date: Tue, 21 Jun 2016 14:42:47 +0200

On Tue, Jun 21, 2016 at 08:08:29AM -0400, Chris Metcalf wrote:
> 
> On inspection, I note that the arch/tile/include/atomic_32.h header has
> 
> ATOMIC64_OP(and)
> ATOMIC64_OP(or)
> ATOMIC64_OP(xor)
> 
> but these should be ATOMIC64_OPS, plural.

Bugger, I'll go fix. Clearly nobody has tilepro toolchains :/

> Peter, what toolchain were you using for tilepro build testing? 

tilegx-linux-

> You need to have a tilepro toolchain (not tilegx) 

Ah, should I go use TARGET=tilepro-linux ?

> and build with ARCH=tilepro.

        tilepro)
                ARCH=tile
                CROSS_COMPILE=tilegx-linux-
                if [ "$CONFIG" == "defconfig" ] ; then
                        CONFIG=tilepro_defconfig
                fi
                ;;

So I suppose that too is wrong.